Public Member Functions | Protected Member Functions

# GDALJP2AbstractDataset Class Reference

Inheritance diagram for GDALJP2AbstractDataset:

List of all members.

## Public Member Functions
void | LoadJP2Metadata (GDALOpenInfo *poOpenInfo, const char *pszOverideFilename=NULL)
void | LoadVectorLayers (int bOpenRemoteResources=FALSE)
virtual char ** | GetFileList (void)
| Fetch files forming dataset.
virtual int | GetLayerCount ()
| Get the number of layers in this dataset.
virtual OGRLayer * | GetLayer (int i)
## Protected Member Functions
virtual int | CloseDependentDatasets ()
| Drop references to any other datasets referenced by this dataset.

## Member Function Documentation

int GDALJP2AbstractDataset::CloseDependentDatasets | ( |  | ) | `[protected, virtual]`

Drop references to any other datasets referenced by this dataset.

This method should release any reference to other datasets (e.g. a VRT dataset to its sources), but not close the current dataset itself.

If at least, one reference to a dependent dataset has been dropped, this method should return TRUE. Otherwise it *should* return FALSE. (Failure to return the proper value might result in infinite loop)

This method can be called several times on a given dataset. After the first time, it should not do anything and return FALSE.

The driver implementation may choose to destroy its raster bands, so be careful not to call any method on the raster bands afterwards.

Basically the only safe action you can do after calling CloseDependantDatasets() is to call the destructor.

Note: the only legitimate caller of CloseDependantDatasets() is GDALDriverManager::~GDALDriverManager()

Returns:
  TRUE if at least one reference to another dataset has been dropped.

Reimplemented from GDALDataset.

char ** GDALJP2AbstractDataset::GetFileList | ( | void |  | ) | `[virtual]`

Fetch files forming dataset.

Returns a list of files believed to be part of this dataset. If it returns an empty list of files it means there is believed to be no local file system files associated with the dataset (for instance a virtual dataset). The returned file list is owned by the caller and should be deallocated with CSLDestroy().

The returned filenames will normally be relative or absolute paths depending on the path used to originally open the dataset. The strings will be UTF-8 encoded.

This method is the same as the C GDALGetFileList() function.

Returns:
  NULL or a NULL terminated array of file names.

Reimplemented from GDALPamDataset.

int GDALJP2AbstractDataset::GetLayerCount | ( |  | ) | `[virtual]`

Get the number of layers in this dataset.

This method is the same as the C function GDALDatasetGetLayerCount(), and the deprecated OGR_DS_GetLayerCount().

In GDAL 1.X, this method used to be in the OGRDataSource class.

Returns:
  layer count.

Reimplemented from GDALDataset.

The documentation for this class was generated from the following files:

- gdaljp2abstractdataset.h
- gdaljp2abstractdataset.cpp

Generated for GDAL by 1.7.1.